.TH wxGenericDirCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGenericDirCtrl \- See external documentation: wxGenericDirCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxGenericDirCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGenericDirCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxGenericDirCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlwxgenericdirctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxGenericDirCtrl()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxGenericDirCtrl()
.br
.RS
.TP
Types
Option = {id, integer()} | {dir, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {filter, string()} | {defaultFilter, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlwxgenericdirctrl>\&.
.RE
.LP
.B
create(This::wxGenericDirCtrl(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxGenericDirCtrl(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {dir, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {filter, string()} | {defaultFilter, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlcreate>\&.
.RE
.LP
.B
init(This::wxGenericDirCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlinit>\&.
.RE
.LP
.B
collapseTree(This::wxGenericDirCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlcollapsetree>\&.
.RE
.LP
.B
expandPath(This::wxGenericDirCtrl(), Path::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlexpandpath>\&.
.RE
.LP
.B
getDefaultPath(This::wxGenericDirCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetdefaultpath>\&.
.RE
.LP
.B
getPath(This::wxGenericDirCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetpath>\&.
.RE
.LP
.B
getFilePath(This::wxGenericDirCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetfilepath>\&.
.RE
.LP
.B
getFilter(This::wxGenericDirCtrl()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetfilter>\&.
.RE
.LP
.B
getFilterIndex(This::wxGenericDirCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetfilterindex>\&.
.RE
.LP
.B
getRootId(This::wxGenericDirCtrl()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgetrootid>\&.
.RE
.LP
.B
getTreeCtrl(This::wxGenericDirCtrl()) -> wxTreeCtrl() (see module wxTreeCtrl)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlgettreectrl>\&.
.RE
.LP
.B
reCreateTree(This::wxGenericDirCtrl()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlrecreatetree>\&.
.RE
.LP
.B
setDefaultPath(This::wxGenericDirCtrl(), Path::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlsetdefaultpath>\&.
.RE
.LP
.B
setFilter(This::wxGenericDirCtrl(), Filter::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlsetfilter>\&.
.RE
.LP
.B
setFilterIndex(This::wxGenericDirCtrl(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlsetfilterindex>\&.
.RE
.LP
.B
setPath(This::wxGenericDirCtrl(), Path::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgenericdirctrl\&.html#wxgenericdirctrlsetpath>\&.
.RE
.LP
.B
destroy(This::wxGenericDirCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
